httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Covington, Chris" <ccoving...@plusone.com>
Subject [users@httpd] modules upgrade from source on RHEL3
Date Thu, 23 Sep 2004 16:32:36 GMT
Hi all,

I've managed to upgrade the included httpd 2.0.47 on a Red Hat
Enterprise Linux 3 server to 2.0.51 from source by running:

./configure --enable-ssl --enable-layout=RedHat

Everything works well.  However, I think Apache is using the older
included modules such as mod_proxy.so:

[root@frank2k3 httpd-2.0.51]# ls -l /usr/lib/httpd/modules/mod_proxy.so
-rwxr-xr-x    1 root     root        35156 Sep 25  2003
/usr/lib/httpd/modules/mod_proxy.so

Will a ./configure --enable-ssl --enable-layout=RedHat not overwrite
existing modules in the same paths?  Or did I not tell httpd to compile
mod_proxy?  If so, is there a way to find out which modules are compiled
with the Red Hat version?

Is there a better way to upgrade than what I've done considering that
I'd like to maintain RedHat's startup scripts and file locations for
compatibility reasons?

Chris

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message